Index: theoryview/perspectives/theory/basepage.py
===================================================================
--- theoryview/perspectives/theory/basepage.py	(revision da9ac4e6fb87145553f38711a3fa2bde5b71b638)
+++ theoryview/perspectives/theory/basepage.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -1,4 +1,5 @@
 
-import sys, os
+import sys
+import os
 import wx
 import numpy
@@ -7,11 +8,14 @@
 import math
 import string
-from sans.guiframe.utils import format_number,check_float
+from sans.guiframe.utils import format_number
+from sans.guiframe.utils import check_float
 from sans.guicomm.events import StatusEvent
 import pagestate
 from pagestate import PageState
-(PageInfoEvent, EVT_PAGE_INFO)   = wx.lib.newevent.NewEvent()
-(PreviousStateEvent, EVT_PREVIOUS_STATE)   = wx.lib.newevent.NewEvent()
-(NextStateEvent, EVT_NEXT_STATE)   = wx.lib.newevent.NewEvent()
+
+(PageInfoEvent, EVT_PAGE_INFO) = wx.lib.newevent.NewEvent()
+(PreviousStateEvent, EVT_PREVIOUS_STATE)= wx.lib.newevent.NewEvent()
+(NextStateEvent, EVT_NEXT_STATE) = wx.lib.newevent.NewEvent()
+
 _BOX_WIDTH = 76
 _QMIN_DEFAULT = 0.001
@@ -19,5 +23,5 @@
 _NPTS_DEFAULT = 50
 #Control panel width 
-if sys.platform.count("darwin")==0:
+if sys.platform.count("darwin") == 0:
     PANEL_WIDTH = 450
     FONT_VARIANT = 0
@@ -38,10 +42,9 @@
     window_caption = "Basic page "
     
-    def __init__(self,parent, page_info= None, model_list_box=None):
+    def __init__(self,parent, page_info=None, model_list_box=None):
         wx.ScrolledWindow.__init__(self, parent,
-                 style= wx.FULL_REPAINT_ON_RESIZE )
+                 style=wx.FULL_REPAINT_ON_RESIZE)
         #Set window's font size 
         self.SetWindowVariant(variant=FONT_VARIANT)
-        
         ## parent of the page
         self.parent = parent
@@ -52,10 +55,9 @@
         ## owner of the page (fitting plugin)
         self.event_owner = None
-        
         if page_info is not None:
             ## manager is the fitting plugin
-            self.manager= page_info.manager
+            self.manager = page_info.manager
             ## owner of the page (fitting plugin)
-            self.event_owner= page_info.event_owner
+            self.event_owner = page_info.event_owner
              ## current model
             self.model = page_info.model
@@ -71,56 +73,54 @@
         self._disp_obj_dict = {}
         ## selected parameters to apply dispersion
-        self.disp_cb_dict ={}
-
+        self.disp_cb_dict = {}
         ## smearer object
         self.smearer = None
-        
         ##list of model parameters. each item must have same length
         ## each item related to a given parameters
         ##[cb state, name, value, "+/-", error of fit, min, max , units]
-        self.parameters=[]
+        self.parameters = []
         # non-fittable parameter whose value is astring
         self.str_parameters = []
         ## list of parameters to fit , must be like self.parameters
-        self.param_toFit=[]
+        self.param_toFit = []
         ## list of looking like parameters but with non fittable parameters info
-        self.fixed_param=[]
+        self.fixed_param = []
         ## list of looking like parameters but with  fittable parameters info
-        self.fittable_param=[]
+        self.fittable_param = []
         ##list of dispersion parameters
-        self.disp_list=[]
-        self.disp_name=""
+        self.disp_list = []
+        self.disp_name = ""
         ## list of orientation parameters
-        self.orientation_params=[]
-        self.orientation_params_disp=[]
+        self.orientation_params = []
+        self.orientation_params_disp = []
         if self.model != None:
-            self.disp_list= self.model.getDispParamList()
+            self.disp_list = self.model.getDispParamList()
         self.multi_factor = None
         ##enable model 2D draw
-        self.enable2D= False
+        self.enable2D = False
         ## check that the fit range is correct to plot the model again
-        self.fitrange= True
-
+        self.fitrange = True
         ## Q range
-        self.qmin_x= _QMIN_DEFAULT
-        self.qmax_x= _QMAX_DEFAULT
-        self.num_points= _NPTS_DEFAULT
-        
+        self.qmin_x = _QMIN_DEFAULT
+        self.qmax_x = _QMAX_DEFAULT
+        self.num_points = _NPTS_DEFAULT
         ## Create memento to save the current state
-        self.state= PageState(parent= self.parent,model=self.model, data=self.data)
+        self.state = PageState(parent=self.parent,
+                               model=self.model, data=self.data)
         ## flag to determine if state has change
-        self.state_change= False
+        self.state_change = False
         ## save customized array
-        self.values=[]
-        self.weights=[]
+        self.values = []
+        self.weights = []
         ## retrieve saved state
-        self.number_saved_state= 0
+        self.number_saved_state = 0
         ## dictionary of saved state
-        self.saved_states={} 
+        self.saved_states = {} 
         
         ## Create context menu for page
         self.popUpMenu = wx.Menu()
         #id = wx.NewId()
-        #self._undo = wx.MenuItem(self.popUpMenu,id, "Undo","cancel the previous action")
+        #self._undo = wx.MenuItem(self.popUpMenu,id, "Undo"
+        #,"cancel the previous action")
         #self.popUpMenu.AppendItem(self._undo)
         #self._undo.Enable(False)
@@ -128,5 +128,6 @@
         
         #id = wx.NewId()
-        #self._redo = wx.MenuItem(self.popUpMenu,id,"Redo"," Restore the previous action")
+        #self._redo = wx.MenuItem(self.popUpMenu,id,"Redo",
+        #" Restore the previous action")
         #self.popUpMenu.AppendItem(self._redo)
         #self._redo.Enable(False)
@@ -135,10 +136,10 @@
         #if sys.platform.count("win32")>0:        
         id = wx.NewId()
-        self._keep = wx.MenuItem(self.popUpMenu,id,"BookMark"," Keep the panel status to recall it later")
+        self._keep = wx.MenuItem(self.popUpMenu, id, "BookMark",
+                                 " Keep the panel status to recall it later")
         self.popUpMenu.AppendItem(self._keep)
         self._keep.Enable(True)
         wx.EVT_MENU(self, id, self.onSave)
         self.popUpMenu.AppendSeparator()
-    
         ## Default locations
         self._default_save_location = os.getcwd()     
@@ -167,15 +168,19 @@
         
         """
-        ## Set to True when the mouse is clicked while the whole string is selected
+        ## Set to True when the mouse is clicked 
+        #while the whole string is selected
         full_selection = False
         ## Call back for EVT_SET_FOCUS events
         _on_set_focus_callback = None
         
-        def __init__(self, parent, id=-1, value=wx.EmptyString, pos=wx.DefaultPosition, 
-                     size=wx.DefaultSize, style=0, validator=wx.DefaultValidator, name=wx.TextCtrlNameStr,
-                     kill_focus_callback = None, set_focus_callback  = None,
-                     mouse_up_callback   = None, text_enter_callback = None):
+        def __init__(self, parent, id=-1, value=wx.EmptyString,
+                      pos=wx.DefaultPosition, 
+                     size=wx.DefaultSize, style=0, 
+                     validator=wx.DefaultValidator, name=wx.TextCtrlNameStr,
+                     kill_focus_callback=None, set_focus_callback=None,
+                     mouse_up_callback=None, text_enter_callback=None):
              
-            wx.TextCtrl.__init__(self, parent, id, value, pos, size, style, validator, name)
+            wx.TextCtrl.__init__(self, parent, id, value, pos, size, style,
+                                 validator, name)
             
             # Bind appropriate events
@@ -198,11 +203,8 @@
             :param event: mouse event
             """
-            
             event.Skip()
             self.full_selection = True
             return self._on_set_focus_callback(event)
-        
- 
-            
+
         def _highlight_text(self, event):
             """
@@ -223,5 +225,5 @@
                     (start, end) = control.GetSelection()
                     if start==end:
-                        control.SetSelection(-1,-1)
+                        control.SetSelection(-1, -1)
                  
     def onContextMenu(self, event): 
@@ -239,5 +241,5 @@
         
         """
-        event = PreviousStateEvent(page = self)
+        event = PreviousStateEvent(page=self)
         wx.PostEvent(self.parent, event)
     
@@ -247,5 +249,5 @@
         
         """
-        event = NextStateEvent(page= self)
+        event = NextStateEvent(page=self)
         wx.PostEvent(self.parent, event)
     
@@ -263,5 +265,4 @@
         self.sizer5 = wx.BoxSizer(wx.VERTICAL)
         self.sizer6 = wx.BoxSizer(wx.VERTICAL)
-        
         self.sizer0.SetMinSize((PANEL_WIDTH,-1))
         self.sizer1.SetMinSize((PANEL_WIDTH,-1))
@@ -271,5 +272,4 @@
         self.sizer5.SetMinSize((PANEL_WIDTH,-1))
         #self.sizer6.SetMinSize((375,-1))
-        
         self.vbox.Add(self.sizer0)
         self.vbox.Add(self.sizer1)
@@ -280,5 +280,4 @@
         #self.vbox.Add(self.sizer6)
         
-        
     def set_layout(self):
         """
@@ -295,5 +294,5 @@
         """
         """
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         self.Layout()   
         self.SetAutoLayout(True)
@@ -333,22 +332,25 @@
         self.sizer4.Clear(True)
         name = "Polydispersity and Orientational Distribution"
-        box_description= wx.StaticBox(self, -1,name)
+        box_description= wx.StaticBox(self, -1, name)
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         #----------------------------------------------------
-        self.disable_disp = wx.RadioButton(self, -1, 'Off', (10, 10), style=wx.RB_GROUP)
+        self.disable_disp = wx.RadioButton(self, -1, 'Off', (10, 10), 
+                                           style=wx.RB_GROUP)
         self.enable_disp = wx.RadioButton(self, -1, 'On', (10, 30))
        
-        self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, id=self.disable_disp.GetId())
-        self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, id=self.enable_disp.GetId())
+        self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, 
+                  id=self.disable_disp.GetId())
+        self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, 
+                  id=self.enable_disp.GetId())
         #MAC needs SetValue
         self.disable_disp.SetValue(True)
         sizer_dispersion = wx.BoxSizer(wx.HORIZONTAL)
-        sizer_dispersion.Add((20,20))
+        sizer_dispersion.Add((20, 20))
         name=""#Polydispersity and \nOrientational Distribution "
-        sizer_dispersion.Add(wx.StaticText(self,-1,name))
+        sizer_dispersion.Add(wx.StaticText(self, -1, name))
         sizer_dispersion.Add(self.enable_disp )
-        sizer_dispersion.Add((20,20))
-        sizer_dispersion.Add(self.disable_disp )
-        sizer_dispersion.Add((10,10))
+        sizer_dispersion.Add((20, 20))
+        sizer_dispersion.Add(self.disable_disp)
+        sizer_dispersion.Add((10, 10))
         
         ## fill a sizer with the combobox to select dispersion type
@@ -364,26 +366,24 @@
             self.disp_box.Append(name,value)
         self.disp_box.SetStringSelection("gaussian") 
-        wx.EVT_COMBOBOX(self.disp_box,-1, self._on_select_Disp) 
+        wx.EVT_COMBOBOX(self.disp_box, -1, self._on_select_Disp) 
              
-        sizer_select_dispers.Add((10,10)) 
+        sizer_select_dispers.Add((10, 10)) 
         sizer_select_dispers.Add(self.model_disp) 
-        sizer_select_dispers.Add(self.disp_box,0,
-                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE,border=5)
-      
+        sizer_select_dispers.Add(self.disp_box, 0,
+                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, border=5)
         self.model_disp.Hide()
         self.disp_box.Hide()
-        
-        boxsizer1.Add( sizer_dispersion,0,
-                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE,border=5)
-        #boxsizer1.Add( (10,10) )
-        boxsizer1.Add( sizer_select_dispers )
-        self.sizer4_4 = wx.GridBagSizer(5,5)
-        boxsizer1.Add( self.sizer4_4  )
+        boxsizer1.Add(sizer_dispersion, 0,
+                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, border=5)
+        #boxsizer1.Add((10, 10))
+        boxsizer1.Add(sizer_select_dispers)
+        self.sizer4_4 = wx.GridBagSizer(5, 5)
+        boxsizer1.Add(self.sizer4_4)
         #-----------------------------------------------------
-        self.sizer4.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        self.sizer4.Add(boxsizer1, 0, wx.EXPAND|wx.ALL, 10)
         self.sizer4_4.Layout()
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         self.Refresh()
         ## saving the state of enable dispersity button
@@ -391,5 +391,4 @@
         self.state.disable_disp= self.disable_disp.GetValue()
     
-    
     def select_disp_angle(self, event): 
         """
@@ -398,7 +397,7 @@
         :param event: radiobutton event
         """
-        self.values=[]
-        self.weights=[]
-        if event.GetEventObject()==self.noDisper_rbox:
+        self.values = []
+        self.weights = []
+        if event.GetEventObject() == self.noDisper_rbox:
             if self.noDisper_rbox.GetValue():
                 #No array dispersity apply yet
@@ -406,19 +405,19 @@
                 ## Redraw the model ???
                 self._draw_model()
-        # Go through the list of dispersion check boxes to identify which one has changed 
+        # Go through the list of dispersion check boxes to 
+        #identify which one has changed 
         for p in self.disp_cb_dict:
-            self.state.disp_cb_dict[p]=  self.disp_cb_dict[p].GetValue()
+            self.state.disp_cb_dict[p] = self.disp_cb_dict[p].GetValue()
             # Catch which one of the box was just checked or unchecked.
             if event.GetEventObject() == self.disp_cb_dict[p]:              
                 if self.disp_cb_dict[p].GetValue() == True:
-                    
-                    ##Temp. FIX for V1.0 regarding changing checkbox to radiobutton.
-                    ##This (self._reset_dispersity) should be removed when the array dispersion is fixed.                
+                    ##Temp. FIX for V1.0 regarding changing 
+                    #checkbox to radiobutton.
+                    ##This (self._reset_dispersity) should be removed 
+                    #when the array dispersion is fixed.                
                     self._reset_dispersity()
-
                     # The user wants this parameter to be averaged. 
                     # Pop up the file selection dialog.
                     path = self._selectDlg()
-                    
                     # If nothing was selected, just return
                     if path is None:
@@ -431,21 +430,20 @@
                         pass 
                     try:
-                        self.values,self.weights = self.read_file(path)
+                        self.values, self.weights = self.read_file(path)
                     except:
-                        msg="Could not read input file"
-                        wx.PostEvent(self.parent, StatusEvent(status= msg))
+                        msg = "Could not read input file"
+                        wx.PostEvent(self.parent, StatusEvent(status=msg))
                         return
-                    
-                    # If any of the two arrays is empty, notify the user that we won't
-                    # proceed 
+                    # If any of the two arrays is empty, notify the user 
+                    # that we won't proceed 
                     if self.values is None or self.weights is None or \
-                         self.values ==[] or self.weights ==[]:
-                        wx.PostEvent(self.parent, StatusEvent(status=\
-                            "The loaded %s distrubtion is corrupted or empty" % p))
+                         self.values == [] or self.weights == []:
+                        msg = "The loaded %s distrubtion is corrupted"
+                        msg += " or empty" % p
+                        wx.PostEvent(self.parent, StatusEvent(status=msg))
                         return
-                        
                     # Tell the user that we are about to apply the distribution
-                    wx.PostEvent(self.parent, StatusEvent(status=\
-                            "Applying loaded %s distribution: %s" % (p, path)))  
+                    msg = "Applying loaded %s distribution: %s" % (p, path)
+                    wx.PostEvent(self.parent, StatusEvent(status=msg))  
                     
                     # Create the dispersion objects
@@ -454,15 +452,18 @@
                     disp_model.set_weights(self.values, self.weights)
                    
-                    # Store the object to make it persist outside the scope of this method
+                    # Store the object to make it persist outside the scope 
+                    #of this method
                     #TODO: refactor model to clean this up?
                     self._disp_obj_dict[p] = disp_model
-                    self.state._disp_obj_dict [p]= disp_model
-                    self.state.values=[]
-                    self.state.weights=[]
+                    self.state._disp_obj_dict [p] = disp_model
+                    self.state.values = []
+                    self.state.weights = []
                     self.state.values = copy.deepcopy(self.values)
                     self.state.weights = copy.deepcopy(self.weights)
-                    # Set the new model as the dispersion object for the selected parameter
+                    # Set the new model as the dispersion object for the 
+                    #selected parameter
                     self.model.set_dispersion(p, disp_model)
-                    # Store a reference to the weights in the model object so that
+                    # Store a reference to the weights in the model object 
+                    #so that
                     # it's not lost when we use the model within another thread.
                     #TODO: total hack - fix this
@@ -470,6 +471,8 @@
 
                     self.model._persistency_dict = {}
-                    self.model._persistency_dict[p] = [self.values, self.weights]
-                    self.state.model._persistency_dict[p] = [self.values, self.weights]
+                    self.model._persistency_dict[p] = [self.values,
+                                                       self.weights]
+                    self.state.model._persistency_dict[p] = [self.values, 
+                                                             self.weights]
                 else:
                     self._reset_dispersity()
@@ -479,5 +482,5 @@
         
         ## post state to fit panel
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
        
@@ -489,8 +492,8 @@
         ## post help message for the selected model 
         msg = self.popUpMenu.GetHelpString(event.GetId())
-        msg +=" reloaded"
-        wx.PostEvent(self.parent, StatusEvent(status = msg ))
-        
-        name= self.popUpMenu.GetLabel(event.GetId())
+        msg += " reloaded"
+        wx.PostEvent(self.parent, StatusEvent(status=msg))
+        
+        name = self.popUpMenu.GetLabel(event.GetId())
         self._on_select_model_helper()
         
@@ -500,5 +503,4 @@
             self.reset_page(previous_state)      
   
-                  
     def onSave(self, event):
         """
@@ -506,5 +508,5 @@
         
         """
-        if self.model==None:
+        if self.model == None:
             return 
         self.save_current_state()
@@ -524,19 +526,17 @@
         self.number_saved_state += 1
         #name= self.model.name+"[%g]"%self.number_saved_state 
-        name= self.model.__class__.__name__+"[%g]"%self.number_saved_state 
-        self.saved_states[name]= new_state
-        
+        name = self.model.__class__.__name__ + "[%g]" % self.number_saved_state 
+        self.saved_states[name] = new_state
         ## Add item in the context menu
-        
-        year, month, day,hour,minute,second,tda,ty,tm_isdst= time.localtime()
-        my_time= str(hour)+" : "+str(minute)+" : "+str(second)+" "
-        date= str( month)+"|"+str(day)+"|"+str(year)
-        msg=  "Model saved at %s on %s"%(my_time, date)
+        year, month, day, hour, minute, second, _, _, _ = time.localtime()
+        my_time = str(hour) + " : " + str(minute) + " : " + str(second) + " "
+        date = str( month) + "|" + str(day) + "|" + str(year)
+        msg = "Model saved at %s on %s" % (my_time, date)
          ## post help message for the selected model 
-        msg +=" Saved! right click on this page to retrieve this model"
-        wx.PostEvent(self.parent, StatusEvent(status = msg ))
+        msg += " Saved! right click on this page to retrieve this model"
+        wx.PostEvent(self.parent, StatusEvent(status=msg))
         
         id = wx.NewId()
-        self.popUpMenu.Append(id,name,str(msg))
+        self.popUpMenu.Append(id, name, str(msg))
         wx.EVT_MENU(self, id, self.onResetModel)
         
@@ -556,14 +556,13 @@
         """
         try:
-            if path==None:
-                wx.PostEvent(self.parent, StatusEvent(status=\
-                            " Selected Distribution was not loaded: %s"%path))
+            if path == None:
+                msg = " Selected Distribution was not loaded: %s" % path
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
                 return None, None
             input_f = open(path, 'r')
             buff = input_f.read()
             lines = buff.split('\n')
-            
             angles = []
-            weights=[]
+            weights = []
             for line in lines:
                 toks = line.split()
@@ -580,5 +579,4 @@
             raise 
     
-    
     def createMemento(self):
         """
@@ -587,5 +585,4 @@
         return self.state.clone()
     
-    
     def save_current_state(self):
         """
@@ -594,66 +591,53 @@
         """
         ## save model option
-        if self.model!= None:
-            self.disp_list= self.model.getDispParamList()
-            self.state.disp_list= copy.deepcopy(self.disp_list)
+        if self.model != None:
+            self.disp_list = self.model.getDispParamList()
+            self.state.disp_list = copy.deepcopy(self.disp_list)
             self.state.model = self.model.clone()
-
         self.state.enable2D = copy.deepcopy(self.enable2D)
-        self.state.values= copy.deepcopy(self.values)
+        self.state.values = copy.deepcopy(self.values)
         self.state.weights = copy.deepcopy( self.weights)
         ## save data    
-        self.state.data= copy.deepcopy(self.data)
+        self.state.data = copy.deepcopy(self.data)
         try:
             n = self.disp_box.GetCurrentSelection()
             dispersity= self.disp_box.GetClientData(n)
-            name= dispersity.__name__
+            name = dispersity.__name__
             self.disp_name = name
-            if name == "GaussianDispersion" :
+            if name == "GaussianDispersion":
                if hasattr(self,"cb1"):
-                   self.state.cb1= self.cb1.GetValue()
+                   self.state.cb1 = self.cb1.GetValue()
         except:
             pass
-        
-        if hasattr(self,"enable_disp"):
-            self.state.enable_disp= self.enable_disp.GetValue()
+        if hasattr(self, "enable_disp"):
+            self.state.enable_disp = self.enable_disp.GetValue()
             self.state.disable_disp = self.disable_disp.GetValue()
-            
         self.state.smearer = copy.deepcopy(self.smearer)
-        if hasattr(self,"enable_smearer"):
+        if hasattr(self, "enable_smearer"):
             self.state.enable_smearer = copy.deepcopy(self.enable_smearer.GetValue())
             self.state.disable_smearer = copy.deepcopy(self.disable_smearer.GetValue())
-            
-        if hasattr(self,"disp_box"):
+        if hasattr(self, "disp_box"):
             self.state.disp_box = self.disp_box.GetCurrentSelection()
-
-            if len(self.disp_cb_dict)>0:
-                for k , v in self.disp_cb_dict.iteritems():
-         
-                    if v ==None :
-                        self.state.disp_cb_dict[k]= v
+            if len(self.disp_cb_dict) > 0:
+                for k, v in self.disp_cb_dict.iteritems():
+                    if v == None :
+                        self.state.disp_cb_dict[k] = v
                     else:
                         try:
-                            self.state.disp_cb_dict[k]=v.GetValue()
+                            self.state.disp_cb_dict[k] = v.GetValue()
                         except:
-                            self.state.disp_cb_dict[k]= None
-           
-            if len(self._disp_obj_dict)>0:
-                for k , v in self._disp_obj_dict.iteritems():
-      
-                    self.state._disp_obj_dict[k]= v
-                        
-            
+                            self.state.disp_cb_dict[k] = None
+            if len(self._disp_obj_dict) > 0:
+                for k, v in self._disp_obj_dict.iteritems():
+                    self.state._disp_obj_dict[k] = v
             self.state.values = copy.deepcopy(self.values)
             self.state.weights = copy.deepcopy(self.weights)
         ## save plotting range
         self._save_plotting_range()
-        
-        self.state.orientation_params =[]
-        self.state.orientation_params_disp =[]
-        self.state.parameters =[]
-        self.state.fittable_param =[]
-        self.state.fixed_param =[]
-
-        
+        self.state.orientation_params = []
+        self.state.orientation_params_disp = []
+        self.state.parameters = []
+        self.state.fittable_param = []
+        self.state.fixed_param = []
         ## save checkbutton state and txtcrtl values
         self._copy_parameters_state(self.orientation_params,
@@ -661,7 +645,7 @@
         self._copy_parameters_state(self.orientation_params_disp,
                                      self.state.orientation_params_disp)
-        
         self._copy_parameters_state(self.parameters, self.state.parameters)
-        self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
+        self._copy_parameters_state(self.fittable_param, 
+                                    self.state.fittable_param)
         self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
   
@@ -675,30 +659,26 @@
             state of the graphic interface
         """
-        if state ==None:
+        if state == None:
             #self._undo.Enable(False)
             return 
-       
-        self.model= state.model
+        self.model = state.model
         self.data = state.data
-        if self.data !=None:
+        if self.data != None:
             from DataLoader.qsmearing import smear_selection
-            self.smearer= smear_selection( self.data )
-        self.enable2D= state.enable2D
+            self.smearer= smear_selection(self.data)
+        self.enable2D = state.enable2D
         self.engine_type = state.engine_type
-
         self.disp_cb_dict = state.disp_cb_dict
         self.disp_list = state.disp_list
-
         ## set the state of the radio box
-        self.shape_rbutton.SetValue(state.shape_rbutton )
+        self.shape_rbutton.SetValue(state.shape_rbutton)
         self.shape_indep_rbutton.SetValue(state.shape_indep_rbutton)
-        self.struct_rbutton.SetValue(state.struct_rbutton )
+        self.struct_rbutton.SetValue(state.struct_rbutton)
         self.plugin_rbutton.SetValue(state.plugin_rbutton)
         ##draw sizer containing model parameters value for the current model
-        self._set_model_sizer_selection( self.model )
+        self._set_model_sizer_selection(self.model)
         self.set_model_param_sizer(self.model)
-
         ## reset value of combox box
-        self.structurebox.SetSelection(state.structurecombobox )
+        self.structurebox.SetSelection(state.structurecombobox)
         self.formfactorbox.SetSelection(state.formfactorcombobox)
         if state.multi_factor != None:
@@ -706,7 +686,6 @@
         #draw the pnael according to the new model parameter 
         self._on_select_model(event=None)
-       
         ## enable the view 2d button if this is a modelpage type
-        if hasattr(self,"model_view"):
+        if hasattr(self, "model_view"):
             if self.enable2D:
                 self.model_view.Disable()
@@ -716,7 +695,5 @@
         if hasattr(self, "cb1"):   
             self.cb1.SetValue(state.cb1)
-     
         ## reset state of checkbox,textcrtl  and  regular parameters value
-            
         self._reset_parameters_state(self.orientation_params_disp,
                                      state.orientation_params_disp)
